# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.appsforyourdomain.migration
Enum Rfc822Msg.Encoding

    java.lang.Object
      java.lang.Enum<Rfc822Msg.Encoding>
          com.google.gdata.data.appsforyourdomain.migration.Rfc822Msg.Encoding

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Rfc822Msg.Encoding>

Enclosing class:
  Rfc822Msg

    public static enum Rfc822Msg.Encoding

extends java.lang.Enum<Rfc822Msg.Encoding>

A method by which mail may be encoded. Currently the only supported values are:

- `NONE`, which means the content of this `Rfc822Msg` is plain text; and
- `BASE64`, which means that the content has been Base64-encoded (possibly from a character set other than UTF-8).

If no `Encoding` is specified, the message will be interpreted as plain text.

Enum Constant Summary
`BASE64`
`NONE`

Method Summary
`static Rfc822Msg.Encoding` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Rfc822Msg.Encoding[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final Rfc822Msg.Encoding NONE

### BASE64

    public static final Rfc822Msg.Encoding BASE64

Method Detail

### values

    public static Rfc822Msg.Encoding[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Rfc822Msg.Encoding c : Rfc822Msg.Encoding.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Rfc822Msg.Encoding valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null